Page MenuHomePhabricator

Support ImageMap extension in Parsoid
Closed, ResolvedPublic

Description

The GraphViz extension relies on ImageMap for HTML output. Images emitted by the ImageMap extension are not marked up as images by Parsoid, so OCG output (for example) does not include them (do they render properly in our site CSS for VE?).

We could teach Parsoid about ImageMap, so that it emits consistent markup for all images.

Event Timeline

cscott raised the priority of this task from to Lowest.
cscott updated the task description. (Show Details)
cscott added a project: Parsoid.
cscott added a subscriber: cscott.

See also T94795, which is an end-run around the issue and does not require special Parsoid support.

Graph images rendered by the GraphViz extension (and ImageMap) appear as non-editable images in VE when editing. In other words, the behavior of the extensions in VE is what I would expect/hope for.

Welterkj renamed this task from Support ImageMap extension in Parsoid. to Support GraphViz extension in Parsoid..Apr 10 2015, 11:03 PM
Welterkj updated the task description. (Show Details)
Welterkj set Security to None.

Oops. The original description was correct so I restored it.

Welterkj renamed this task from Support GraphViz extension in Parsoid. to Support ImageMap extension in Parsoid..Apr 11 2015, 12:53 PM
Welterkj updated the task description. (Show Details)
ssastry raised the priority of this task from Lowest to Medium.Mar 29 2020, 11:31 PM
ssastry moved this task from Feature requests to Missing Functionality on the Parsoid board.

Change 585344 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] [WIP] ImageMap

https://gerrit.wikimedia.org/r/585344

ssastry renamed this task from Support ImageMap extension in Parsoid. to Support ImageMap extension in Parsoid.Apr 20 2020, 9:17 PM
ssastry added a project: Parsing-Active-Work.

Change 585344 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Native ImageMap implementation

https://gerrit.wikimedia.org/r/585344

Still a few FIXMEs but we can consider this done.

  • Localized "imagemap_desc_types" still needs support
  • CSS magnify links

Change 644393 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a18

https://gerrit.wikimedia.org/r/644393

Change 644221 had a related patch set uploaded (by C. Scott Ananian; owner: Subramanya Sastry):
[mediawiki/vendor@wmf/1.36.0-wmf.20] Bump wikimedia/parsoid to 0.13.0-a18

https://gerrit.wikimedia.org/r/644221

Change 644393 merged by jenkins-bot:
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a18

https://gerrit.wikimedia.org/r/644393

Change 644221 merged by jenkins-bot:
[mediawiki/vendor@wmf/1.36.0-wmf.20] Bump wikimedia/parsoid to 0.13.0-a18

https://gerrit.wikimedia.org/r/644221